Subject: bug#78066: closed (Re: [bug#78066] [PATCH v3 0/6] Fix fail2ban build)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 06 May 2025 10:32:05 +0000

Your bug report

#78066: [PATCH 0/2] Fix fail2ban build

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78066: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78066
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#78066] [PATCH v3 0/6] Fix fail2ban build
From: Ludovic Courtès <[email-masked]>
To: Nicolas Graves <[email-masked]>
Cc: [email-masked]
Date: Tue, 06 May 2025 12:29:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Nicolas Graves <[email-masked]> writes:

> I think the fail2ban tests were broken before the [email-masked] update.
> The -basic test runs properly, but the other tests do not.
>
> I focussed on fixing the -basic test because I don't understand why
> the other tests fail (socket is not found, but when I try it in real
> conditions, it is).
>
> The main issue was that the paths-debian.conf in jail.conf was
> substituted after the wheel was built, so the change didn't make it in
> the output.  Probably related to the migration to the
> pyproject-build-system.
>
> So now the -basic test passes, but the -simple and -extension tests
> don't, but I guess it's because tests rather than the package are
> broken.  Ready to be merged IMHO.
>
> Nicolas Graves (6):
>   gnu: fail2ban: Move file deletion to source snippet.
>   gnu: fail2ban: Move setup and test patches to phases.
>   gnu: fail2ban: Update to 1.1.0.
>   gnu: fail2ban: Improve style.
>   gnu: fail2ban: Improve style.
>   gnu: fail2ban: Improve snippet.

Applied, thanks!

Ludo'.

Subject: [PATCH 0/2] Fix fail2ban build
From: Rodion Goritskov <[email-masked]>
To: [email-masked]
Cc: Rodion Goritskov <[email-masked]>
Date: Fri, 25 Apr 2025 22:12:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Currently fail2ban is not building [1] because its test suite is not compatible with Python 3.11.
Quick fix is to use Python 3.10 there.

Probably I will find some time to update fail2ban package in the nearest future
(because it is quite old now, four years passed already).

However, I think it is good to have the current version building for now.

[1] - https://issues.guix.gnu.org/77996

Rodion Goritskov (2):
  gnu: python: Export wrap-python3.
  gnu: fail2ban: Build with Python 3.10.

 gnu/packages/admin.scm  | 3 ++-
 gnu/packages/python.scm | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

-- 
2.49.0